/*
 * Testing of the List and UList template-classes
 */

#include "list.h"
#include "ulist.h"

#include <stdio.h>

main()
{
	List<int> l;
	UList<int> u;
	ListElem<int> *e;
	
	l.Append (1);
	l.Append (2);
	l.Append (1);
	l.Prepend (3);
	l.Prepend (4);
	l.Append (6);
	printf ("Traversing the list...\n");
	for (e = l.getFirst (); e != NULL; e = e->getNext ())
		printf ("%d\n", **e);
	
	u.Add (1);
	u.Add (2);
	u.Add (1);
	u.Add (3);
	u.Add (4);
	u.Add (6);
	printf ("Traversing the list...\n");
	for (e = u.getFirst (); e != NULL; e = e->getNext ())
		printf ("%d\n", **e);
}

/* End of file. */
